---
lang: en
title: 'API docs: context.isproviderclass'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.isproviderclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [isProviderClass](./context.isproviderclass.md)

## isProviderClass() function

Check if a class implements `Provider` interface

**Signature:**

```typescript
export declare function isProviderClass<T>(cls: unknown): cls is Constructor<Provider<T>>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

cls


</td><td>

unknown


</td><td>

A class


</td></tr>
</tbody></table>
**Returns:**

cls is [Constructor](./context.constructor.md)<!-- -->&lt;[Provider](./context.provider.md)<!-- -->&lt;T&gt;&gt;


